=== modified file 'grackle-put-message'
--- grackle-put-message	2012-01-30 18:30:54 +0000
+++ grackle-put-message	2012-01-13 13:52:09 +0000
@@ -2,11 +2,9 @@
 import sys
 from grackle import client
 
-
 class UserError(Exception):
     """An error caused by a user mistake."""
 
-
 def main(*args):
     if len(args) != 2:
         raise UserError("Wrong number of arguments supplied.")

=== modified file 'grackle/client.py'
--- grackle/client.py	2012-01-30 18:28:17 +0000
+++ grackle/client.py	2012-01-16 20:31:23 +0000
@@ -54,7 +54,7 @@
         """
         response = self._method_archive(
             'POST', archive_id, {'key': key}, file_obj.read())
-        response.read()
+        data = response.read()
         if response.status == httplib.BAD_REQUEST:
             raise Exception('wtf')
         elif response.status == httplib.CREATED:
@@ -108,3 +108,4 @@
             raise UnsupportedOrder
         data = response.read()
         return simplejson.loads(data)
+

=== modified file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-01-30 18:28:17 +0000
+++ grackle/tests/test_client.py	2012-01-25 06:19:56 +0000
@@ -54,7 +54,7 @@
         parameters = simplejson.loads(query['parameters'][0])
         order = parameters.get('order')
         messages = self.messages[archive_id]
-        if order is not None:
+        if order is not None :
             if order not in SUPPORTED_ORDERS:
                 raise UnsupportedOrder
             elif order.startswith('thread_'):
@@ -72,12 +72,13 @@
                 messages.sort(key=lambda m: m[order])
         new_messages = []
         for message in messages:
-            if (not parameters['include_hidden']
+            if (
+                not parameters['include_hidden']
                 and message.get('hidden', False)):
                 continue
 
-            if ('message_ids' in parameters
-                and message['message_id'] not in parameters['message_ids']):
+            if ('message_ids' in parameters and
+                message['message_id'] not in parameters['message_ids']):
                 continue
             message = dict(message)
             if 'headers' in parameters:
@@ -117,6 +118,7 @@
         return response
 
 
+
 class ForkedFake:
     """A Grackle service fake, as a ContextManager."""
 
@@ -224,7 +226,7 @@
     def log_message(self, format, *args):
         """Override log_message to use standard Python logging."""
         message = "%s - - [%s] %s\n" % (
-            self.address_string(), self.log_date_time_string(), format % args)
+            self.address_string(), self.log_date_time_string(), format%args)
         self.logger.info(message)
 
 
@@ -246,7 +248,7 @@
 
     def assertMessageIDs(self, ids, messages):
         self.assertIDOrder(
-            sorted(ids), sorted(messages, key=lambda m: m['message_id']))
+            sorted(ids), sorted(messages, key=lambda m:m['message_id']))
 
     def test_get_messages(self):
         client = GrackleClient('localhost', 8435)
@@ -412,3 +414,4 @@
             self.assertMessageIDs(['bar', 'foo'], response['messages'])
             response = client.get_messages('baz', include_hidden=False)
             self.assertMessageIDs(['bar'], response['messages'])
+

